#ifndef __SYS_FILE_DIALOG_HPP__
#define __SYS_FILE_DIALOG_HPP__

#include "cseries.hpp"

typedef std::pair<String, String> SysFileType;

boolean SysSaveFileDialog(const char * title,
	const Vector<SysFileType>& types, String * path);
boolean SysOpenFileDialog(const char * title,
	const Vector<SysFileType>& types, String * path);
boolean SysMultiOpenFileDialog(const char * title,
	const Vector<SysFileType>& types, Vector<String> * paths);
boolean SysOpenFolderDialog(const char * title, String * path);

boolean SysSaveFileDialogWithOptions(
	const char * title, const Vector<SysFileType>& types,
	const char * label, const Vector<String>& options,
	String * path, size_t * chosen_option);
boolean SysOpenFileDialogWithOptions(
	const char * title, const Vector<SysFileType>& types,
	const char * label, const Vector<String>& options,
	String * path, size_t * chosen_option);
boolean SysMultiOpenFileDialogWithOptions(
	const char * title, const Vector<SysFileType>& types,
	const char * label, const Vector<String>& options,
	Vector<String> * paths, size_t * chosen_option);
boolean SysOpenFolderDialogWithOptions(
	const char * title, const char * label, const Vector<String>& options,
	String * path, size_t * chosen_option);

void SysGetImageFileTypes(Vector<SysFileType> * types);

#endif // __SYS_FILE_DIALOG_HPP__
